# To recompile run this script or with:
# mkimage -C none -A arm -T script -d boot.cmd boot.scr

setenv ramdisk /altboot/initrd.img-4.14.111
setenv kernel  /altboot/vmlinux-4.14.111
setenv dtb     /altboot/sun50i-h5-unipi-axon.dtb

setenv kernel_addr  0x46000000
setenv ramdisk_addr 0x48000000
setenv dtb_addr     0x4a000000

# setup variables according to used u-boot version (old friedlyarm or mainline)
if test "${cpu}" = "h5"; then
  # friedlyarm u-boot
  setenv loading_mmc 0
else
  # mainline u-boot
  setenv loading_mmc ${mmc_bootdev}
fi
# weird loading.. without fatls loading fails
sleep 1
fatload mmc ${loading_mmc} ${ramdisk_addr} ${ramdisk} || fatload mmc ${loading_mmc} ${ramdisk_addr} ${ramdisk}
fatls mmc ${loading_mmc} /altboot
fatload mmc ${loading_mmc} ${kernel_addr} ${kernel} || fatload mmc ${loading_mmc} ${kernel_addr} ${kernel}
fatls mmc ${loading_mmc} /altboot
fatload mmc ${loading_mmc} ${dtb_addr} ${dtb} || fatload mmc ${loading_mmc} ${dtb_addr} ${dtb}
fdt addr ${dtb_addr}
fdt resize 

#userbutton as rfkill
fdt set /gpio-keys/userbutton status "disabled"

# setup MAC address 
fdt set ethernet0 local-mac-address ${mac_node}

setenv bootargs console=ttyS0,115200 earlyprintk root=/dev/ram0 ${extra} quiet panic=10

booti ${kernel_addr} ${ramdisk_addr}:2000000 ${dtb_addr}
